Bug 159932 - [update] devel/libev: Update to 4.04
Summary: [update] devel/libev: Update to 4.04
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-20 01:30 UTC by Gabor Pali
Modified: 2011-09-16 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (5.21 KB, patch)
2011-08-20 01:30 UTC, Gabor Pali
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Pali freebsd_committer 2011-08-20 01:30:09 UTC
Update to 4.04.  It is important to make devel/hs-hlibev work correctly as it
does not link properly with libev 3.x.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-20 01:30:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vsevolod

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Vsevolod Stakhov freebsd_committer 2011-08-26 13:58:52 UTC
There is a problem in your patch. It install event.h header that would 
conflict with devel/libevent port. So I have to add CONFLICTS with 
libevent. The other option is to exclude event.h from install (that was 
the option that I've used before). So what's your opinion on that?
Comment 3 Gabor Pali freebsd_committer 2011-08-29 00:28:15 UTC
 Hi,

On 08/26/11 14:58, Vsevolod Stakhov wrote:
> what's your opinion [...]?

I would prefer installing the event.h header too as it may be surprising
for the user to have it discarded.  And with devel/libevent installed,
it may be misleading since she may think that header is installed by
devel/libev.

In my humble opinion, the ultimate solution would be to ask both libev
and libevent upstream to move their headers under something like
$includedir/libev and $includedir/libevent, respectively.

I have not really tested whether devel/hs-hlibev requires event.h to be
present at all so not installing that file may cause breakage for it.


Thanks,
Gabor
Comment 4 Vsevolod Stakhov freebsd_committer 2011-08-29 11:30:36 UTC
On 08/29/2011 04:10 AM, Gabor PALI wrote:
> The following reply was made to PR ports/159932; it has been noted by GNATS.
>
> From: Gabor PALI<pgj@FreeBSD.org>
> To: Vsevolod Stakhov<vsevolod@FreeBSD.org>
> Cc: bug-followup@FreeBSD.org
> Subject: Re: ports/159932: [update] devel/libev: Update to 4.04
> Date: Mon, 29 Aug 2011 01:28:15 +0200
>
>    Hi,
>
>   On 08/26/11 14:58, Vsevolod Stakhov wrote:
>   >  what's your opinion [...]?
>
>   I would prefer installing the event.h header too as it may be surprising
>   for the user to have it discarded.  And with devel/libevent installed,
>   it may be misleading since she may think that header is installed by
>   devel/libev.

Well, here are my points when I've decided NOT to install event.h in 
libev port.

First of all libev install event.h for those applications that are using 
libevent interface but via emulating libevent API by libev. So ports 
that depends on libev MUST NOT use event.h header in any way (they 
should definitely use ev.h header). And ports that are depending on 
libevent MUST use event.h header and MUST depend on devel/libevent and 
on devel/libev. So installing event.h header by libev is a confusing 
action. If devel/libevent would be made as a conflict for devel/libev 
ports depending libevent still would be broken without it. And ports 
depending on libev are not using event.h header. So from my point of 
view this file is useless.

>   In my humble opinion, the ultimate solution would be to ask both libev
>   and libevent upstream to move their headers under something like
>   $includedir/libev and $includedir/libevent, respectively.

Yes, but this requires review of all ports depending on libev or 
libevent and maybe adding some knobs to portmk like
USE_EVENT= libevent
or
USE_EVENT= libev
or even
USE_EVENT= any

>   I have not really tested whether devel/hs-hlibev requires event.h to be
>   present at all so not installing that file may cause breakage for it.

Well, libev community grows rather fast, so it is definitely required to 
solve conflicts between these two libraries.

-- 
Vsevolod Stakhov
Comment 5 Gabor Pali freebsd_committer 2011-08-29 20:22:07 UTC
 On 08/29/11 12:30, Vsevolod Stakhov wrote:
> First of all libev install event.h for those applications that are
> using libevent interface but via emulating libevent API by libev.

Right.  Now I understand your point.  I will test devel/hs-hlibev
without event.h installed (by devel/libev) and get back to you with the
results.  I expect it to work but better safe than sorry.


> Well, libev community grows rather fast, so it is definitely required
> to solve conflicts between these two libraries.

I do not really want to make a problem out of this issue, but it is
indeed need to be taken care of in the long run.
Comment 6 dfilter service freebsd_committer 2011-09-16 17:17:56 UTC
vsevolod    2011-09-16 16:17:40 UTC

  FreeBSD ports repository

  Modified files:
    devel/libev          Makefile distinfo pkg-plist 
    devel/libev/files    patch-configure patch-ev.c 
  Added files:
    devel/libev/files    libev.pc.in 
  Removed files:
    devel/libev/files    patch-ev++.h 
  Log:
  - Update to 4.04 [1]
  - Add libev.pc [2]
  
  PR:             159932 [1], 160030 [2]
  Submitted by:   pgj [1], Aldis Berjoza <aldis at bsdroot.lv> [2]
  
  Revision  Changes    Path
  1.11      +9 -6      ports/devel/libev/Makefile
  1.10      +2 -2      ports/devel/libev/distinfo
  1.1       +10 -0     ports/devel/libev/files/libev.pc.in (new)
  1.2       +12 -46    ports/devel/libev/files/patch-configure
  1.2       +0 -32     ports/devel/libev/files/patch-ev++.h (dead)
  1.2       +4 -4      ports/devel/libev/files/patch-ev.c
  1.4       +2 -1      ports/devel/libev/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Vsevolod Stakhov freebsd_committer 2011-09-16 17:18:40 UTC
State Changed
From-To: open->closed

Committed with some modifications, thanks!